%define upstream_name    Perl6-Classes
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl 6 class syntax for Perl 5
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Simple)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Text::Balanced)
BuildArch: noarch

%description
'Perl6::Classes' allows the creation of (somewhat) Perl 6-style classes in
Perl 5. The following features are currently supported:

* * 'sub's, 'method's, and 'submethod's

  And their respective scoping rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.220.0-9.mga8
+ Revision: 1496442
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.220.0-8.mga7
+ Revision: 1270489
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.220.0-7.mga6
+ Revision: 1031948
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.220.0-6.mga6
+ Revision: 947761
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-5.mga5
+ Revision: 740351
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-4.mga5
+ Revision: 685943
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.220.0-3.mga4
+ Revision: 514105
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 371720
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.220.0-1.mga3
+ Revision: 286708
- imported package perl-Perl6-Classes


* Fri Aug 31 2012 cpan2dist 0.22-1mga
- initial mageia release, generated with cpan2dist
